package com.liquidnet.common.third.xuper.dto;

import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 链上发行数字资产
 * @class: Xuper001GetStokenReqDto
 * @Package com.liquidnet.common.third.xuper.dto
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/18 15:10
 */
@Data
public class Xuper004PublishAssetRespDto {
    public long requestId;
    public int errNo;
    public String errMsg;

    private static final Xuper004PublishAssetRespDto obj = new Xuper004PublishAssetRespDto();
    public static Xuper004PublishAssetRespDto getNew() {
        try {
            return (Xuper004PublishAssetRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Xuper004PublishAssetRespDto();
        }
    }
}
